*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    background:#cfd3d9;
    padding-bottom: 100px;
    zoom : 0.8;
}

.container{
    width:min(1200px, 100%);
    margin:0 auto;
    padding:30px 40px;
}

.header{
    display:flex;
    align-items:center;
    justify-content: space-between;
    gap : 30px;
}

.logo {
    display: flex;
    justify-content: center;
    align-items: center;

    width: 60px;
    height: 60px;

    color: white;
    background-color: #1F3A5F;
    border-radius: 50%;
}

.logo-section{
    display:flex;
    align-items:center;
    gap:30px;
}

.logo p {
    margin: 0;
    font-size : 32px;
    font-family: "Cormorant Garamond";
}

.mid-section p{
    font-size:32px;
    font-family:"Cormorant Garamond", serif;
    color:#1F3A5F;
    font-weight:600;
}

.nav{
    display:flex;
    align-items:center;
    gap:30px;
}

.header-button{
    text-decoration:none;
    color:white;
    background:#1F3A5F;
    padding:12px 24px;
    border-radius:30px;
    font-family:"Cormorant Garamond", serif;
    font-size:20px;
    transition:.3s;
}

.header-button:hover{
    background:#274a78;
}

@media (max-width: 768px) {
    .header-button {
        padding: 14px 26px;
        font-size: 21px;
        min-height: 44px;
        box-sizing: border-box;
    }
}

.university {
    margin-top:40px;

    font-family:"Cormorant Garamond", serif;

    font-size:35px;

    color: #1F3A5F;

    font-weight:600;
}

.faculty {
    margin-top:10px;

    font-family:"Cormorant Garamond", serif;

    font-size:25px;

    color:#1F2937;

    font-weight:600;
}


.exam-title{

    margin-top:50px;

    font-family:"Cormorant Garamond", serif;

    font-size:56px;

    color:#1F3A5F;

    font-weight:600;
}

.divider{
    width:100%;

    height:2px;

    background:#b8bec8;

    border-radius:2px;

    margin:30px 0 50px 0;
}

.question-card{

    background:white;

    border-radius:20px;

    padding:42px 40px;
 
    margin : 40px 0;

    box-shadow:0 12px 30px rgba(0,0,0,.10);

    border:1px solid #e3e6eb;
}

.question-header{

    display:flex;

    gap:24px;

    margin-bottom:35px;

    align-items:flex-start;
}

.question-number{

    width:60px;

    height:60px;

    background:#1F3A5F;

    color:white;

    display:flex;

    justify-content:center;

    align-items:center;

    font-size:30px;

    font-weight:700;

    border-radius:12px;

    flex-shrink:0;
}

.question-text{

    font-size:28px;

    color:#1F2937;

    font-family:"Cormorant Garamond", serif;

    margin:0;

    line-height:1.4;

    flex:1;
   
    overflow-wrap:break-word;
}

.answers{

    display:flex;

    flex-wrap : wrap;

    justify-content:space-between;

    align-items:center;

    margin-top:35px;

    gap:35px;
}

.answer-option{

    display:flex;

    align-items:center;

    gap:12px;
}

.answer-text{

    font-size:22px;

    color:#1F2937;

    font-family: 'Times New Roman', Times, serif;

    white-space:nowrap;
}

.answer-letter{

    width:48px;

    height:48px;

    border:2px solid #1F3A5F;

    border-radius:50%;

    display:flex;

    justify-content:center;

    align-items:center;

    color:#1F3A5F;

    font-size:22px;

    font-weight:600;

    flex-shrink:0;

    transition : 0.3s;
}

@media (hover: hover) and (pointer: fine) {
    .answer-letter:hover{

        background:#1F3A5F;

        color:white;

        transform:translateY(-3px);

        transition:0.3s;
    }
}

.question-divider{

    height:1px;

    background:#d6dbe3;

    margin:20px 0 30px 0;
}

.answer-letter.selected{

    background:#1F3A5F;

    color:white;

    transform:scale(1.05);
}

.submit-section {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 60px 0;
}

.submit-button {
    background: #1F3A5F;
    color: white;
    border: none;
    border-radius: 14px;
    padding: 18px 36px;
    font-size: 22px;
    font-family: "Cormorant Garamond", serif;
    cursor: pointer;
    transition: .3s;
}

.submit-button:hover {
    transform: translateY(-3px);
    background: #294c7a;
}

.reset-button {
    margin-top: 18px;

    background: transparent;
    color: #1F3A5F;

    border: 1px solid #1F3A5F;
    border-radius: 10px;

    padding: 9px 20px;

    font-size: 17px;
    font-family: "Cormorant Garamond", serif;

    cursor: pointer;

    transition: .25s;
}

.reset-button:hover {
    background: #1F3A5F;
    color: white;
}

.result-card{

    display:none;

    width:min(550px,100%);

    margin:60px auto;

    padding:35px 40px;

    background:white;

    border-radius:20px;

    border:1px solid #e3e6eb;

    box-shadow:0 12px 30px rgba(0,0,0,.10);

    text-align:center;

    scroll-margin-top : 200px;

    opacity:0;

    transform:translateY(30px);

    transition: opacity .5s ease, transform .5s ease;
}

.result-card.show{

    opacity:1;

    transform:translateY(0);
}

.result-card h2{

    margin:0;

    font-family:"Cormorant Garamond", serif;

    font-size:42px;

    color:#1F3A5F;

    font-weight:700;
}

.score-text{

    margin:0;

    font-size:28px;

    font-family:"Cormorant Garamond", serif;

    color:#1F2937;
}

.result-divider{

    width:100%;

    height:1px;

    background:#d6dbe3;

    margin:25px 0 30px;
}

.grade-text{

    margin-top:20px;

    font-size:46px;

    font-weight:700;

    font-family:"Cormorant Garamond", serif;

    color:#1F3A5F;
}

.answer-letter.correct{

    background:#79ff7f;

    border:2px solid #1f9d42;

    color:white;
}

.answer-letter.wrong{

    background:#f44545;

    border:2px solid #c62828;

    color:white;
}

.result-card.excellent{
    background-color:#79ff7f;
    border:2px solid #2e7d32;
}

.result-card.good{
    background-color: #ffd16e;
    border:2px solid #C89B3C;
}

.result-card.bad{
    background-color: #f44545;
    border:2px solid #c62828;
}

.question-group{

    background:white;

    border-radius:20px;

    padding:35px 40px;

    margin:40px 0;

    border:1px solid #e3e6eb;

    box-shadow:0 12px 30px rgba(0,0,0,.10);
}

.question-context{

    font-size:28px;

    line-height:1.6;

    font-family:"Cormorant Garamond", serif;

    color:#1F2937;

    margin-bottom:30px;
}

.question-group .question-card{

    background:transparent;

    box-shadow:none;

    border:none;

    margin:0;

    padding:25px 0;
}

.inline-system{
    display: inline-block;
    vertical-align: middle;
    margin: 0 12px;
}

.inline-formula{
    display:inline-block;
    margin:0 8px;
    vertical-align:middle;
}

.progress-text{

    margin-bottom:20px;

    text-align:center;

    font-family:"Cormorant Garamond", serif;

    font-size:26px;

    font-weight:600;

    color:#1F3A5F;

}

.question-card.unanswered{

    background-color:#F3F4F6;

    transition:background-color 0.2s;

}

.skip-button {
    background-color: #1F3A5F;
    color: white;

    border: none;
    border-radius: 12px;

    padding: 12px 24px;

    font-family: "Roboto", sans-serif;
    font-size: 16px;

    cursor: pointer;

    transition: 0.2s;
}

.skip-button:hover {
    transform: translateY(-2px);
    box-shadow: 0 6px 15px rgba(0, 0, 0, 0.15);
}

